## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 23
# * tests require internet connectivity
%bcond_with check
%global debug_package %{nil}

%global crate native-tls

Name:           rust-native-tls
Version:        0.2.11
Release:        %autorelease
Summary:        Wrapper over a platform's native TLS implementation

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/native-tls
Source:         %{crates_source}
# Automatically generated patch to strip foreign dependencies
Patch:          native-tls-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop feature for vendored openssl
Patch:          native-tls-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Wrapper over a platform's native TLS implementation.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alpn-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alpn-devel %{_description}

This package contains library source intended for building other packages which
use the "alpn" feature of the "%{crate}" crate.

%files       -n %{name}+alpn-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Dec 10 2022 Fabio Valentini <decathorpe@gmail.com> 0.2.11-1
- Update to version 0.2.11; Fixes RHBZ#2139173

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.2.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Mar 29 2022 Fabio Valentini <decathorpe@gmail.com> 0.2.10-1
- Update to version 0.2.10; Fixes RHBZ#2068930

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Aug 11 2021 Fabio Valentini <decathorpe@gmail.com> 0.2.8-1
- Update to version 0.2.8; Fixes RHBZ#1992388

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 22 2021 Fabio Valentini <decathorpe@gmail.com> - 0.2.7-3
- Restore accidentally removed alpn feature.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 03 2021 Fabio Valentini <decathorpe@gmail.com> - 0.2.7-1
- Update to version 0.2.7.
- Fixes RHBZ#1911538

* Wed Nov 11 2020 Fabio Valentini <decathorpe@gmail.com> - 0.2.6-1
- Update to version 0.2.6.
- Fixes RHBZ#1896445

* Fri Nov 06 2020 Fabio Valentini <decathorpe@gmail.com> - 0.2.5-1
- Update to version 0.2.5.
- Fixes RHBZ#1895212

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Mar 06 2020 Josh Stone <jistone@redhat.com> - 0.2.4-1
- Update to 0.2.4

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jun 21 19:55:17 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.3-2
- Regenerate

* Tue Apr 30 08:40:30 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.3-1
- Update to 0.2.3

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Nov 12 2018 Josh Stone <jistone@redhat.com> - 0.2.2-2
- Adapt to new packaging

* Mon Oct 22 2018 Josh Stone <jistone@redhat.com> - 0.2.2-1
- Update to 0.2.2

* Tue Aug 07 2018 Josh Stone <jistone@redhat.com> - 0.2.1-1
- Update to 0.2.1

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-3
- Rebuild to trigger tests

* Sat Jul 21 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-2
- Run tests in infrastructure

* Sun Jul 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-1
- Initial package

